KDED4(8)

NAME
kded4 - Dimoni KDE - provoca l'actualització de la base de dades Sycoca quan cal.

SINOPSIS

kded4 [--help] [Opcions-genèriques] [Opcions-de-Qt] [Opcions-de-KDE] [--check]

DESCRIPCIó

kded4 és responsable de crear el fitxer de sycoca, p.ex. el cau binari dels tipus de servei, tipus mime i servei per a cada usuari.

Efectuarà un seguiment dels directoris que contenen fitxers .desktop. Quan s'afegeix o elimina un fitxer, espera 5 segons (en el cas d'una sèrie d'actualitzacions) i, a continuació, llança kbuildsycoca4 per actualitzar sycoca.

Comprova fitxers d'actualització instal⋅lats recentment, p.ex. els fitxers *.upd usats per actualitzar els fitxers de configuració quan canvien els formats dels fitxers de configuració. Es llança l'ordre kconf_update per a realitzar les actualitzacions.

Quan el nom del sistema canvia, efectuarà els canvis necessaris en l'entorn KDE i el servidor X per a permetre que continuïn funcionant adequadament, llançant l'ordre kdontchangethehostname per a efectuar els canvis.

Aquestes tasques també es realitzen sempre que s'inicia kded4 per assegurar que la configuració d'usuari està actualitzada.

També és responsable de llançar els mòduls de kded4 sota demanda i iniciar els mòduls activats per kded4 com:

Precarregador del navegador Konqueror
    Redueix el temps d'inici del Konqueror.

Vigilant de directori
    Controla els canvis en els directoris.

Detecció de maquinari
    Proporciona una interfície d'usuari pels esdeveniments del maquinari.

Política de certificats SSL
    Proporciona la política de certificats SSL configurada per l'usuari a les aplicacions.

Configuració del servidor intermediari de xarxa
    Configuració automàtica de l'intermediari.

Ús de memòria cau de contrasenyes
    Cau temporal de contrasenyes, per exemple: en els cas que una pàgina web amb autenticació HTTP no us demani la contrasenya per a cada enllaç i cada imatge de la pàgina. Aquestes contrasenyes s'obliden en sortir de KDE (no com KWallet).

Política de so
    Proporciona la política del sistema de so a les aplicacions.

Icones de web
    Emmagatzema les icones dels llocs web.

Gestió de la pantalla
    Gestiona les pantalles i les sortides de vídeo.

Repositori de galetes
    Emmagatzema les galetes de la xarxa.

Vigilant de la xarxa
    Fa un seguiment de la xarxa i actualitza els llistats de directoris de l'esclau KIO network:/.

Mòdul de Subversion
    Proporciona diverses accions de subversion per al gestor de fitxers i altres programes.

Estat de la xarxa
    Fa un seguiment de l'estat de les interfícies de xarxa i proporciona notificació a les aplicacions usant la xarxa.

Dimoni d'escriptura
    Fes atenció als missatges dels usuaris locals enviats amb write(1) o wall(1).

Observador de l'àrea de notificacions
    Realitza un seguiment de les aplicacions que volen usar l'àrea de notificacions basada en D-Bus.

KMixD
    Servei de mesclador KMixD

Dimoni de la safata del sistema
    Realitza un seguiment de les aplicacions que volen usar la safata del sistema basada en D-Bus.

Dimoni del teclat
    Realitza un seguiment dels canvis de teclat (teclat nou, canvi d'esquema).

Notificador de canvi d'URL remot
    Proporciona notificacions de canvi en carpetes de xarxa

Gestor d'activitats
    El dorsal del gestor d'activitats de Nepomuk.

Control del canvi de gestió de la pantalla
    Notifica com s'ha rotat la pantalla (a on estigui disponible).

Notificador d'espai lliure
    Avisa quan s'exhaureix l'espai de la carpeta personal.

Muntador automàtic de dispositius extraïbles
    Munta automàticament els dispositius quan es necessita.

Mòdul de cerques del Nepomuk
    Mòdul ajudant per al KIO que assegura les actualitzacions automàtiques dels llistats del Nepomuk.

Gestió d'energia
    Gestió d'energia i notificació de la bateria, pantalla i CPU.

Dimoni K de comandaments a distància
    Gestiona les ordres rebudes pel control remot.

Gestor del notificador d'estat
    Gestiona els serveis que proporcionen notificacions d'estat a les interfícies d'usuari.

Controlador de descobriment de serveis DNS-SD
    Controla la xarxa cercant serveis DNS-SD.

Expulsor d'unitats
    Allibera unitats automàticament quan es prem el seu botó d'expulsió.

Zona horària
    Proporciona accés a les aplicacions al sistema de les zones horàries.

Accions d'entrada
    Servei d'accions d'entrada que porta a terme accions configurades en prémer tecles.

Els mòduls d'inici es poden activar/desactivar usant l'ordre systemsettings, en «Administració del sistema» > «Engegada i aturada» > «Gestor del servei».

OPCIONS GENèRIQUES

--author
    Mostra informació de l'autor.

--help
    Mostra ajuda quant a les opcions.

--help-all
    Mostra totes les opcions.

--help-kde
    Mostra les opcions específiques de KDE.

--help-qt
    Mostra les opcions específiques de Qt.

--license
    Mostra informació de llicència.

-v --version
    Mostra informació de la versió

OPCIONS DAPLICACIó

--check
    Comprova només un cop la base de dades Sycoca.

ÚS

Si es crida kded4 sense paràmetres i ja s'està executant, es mostrarà el missatge:

    KDE Daemon (kded) already running. «Els dimoni KDE (kded) ja està en execució».

Si es crida a kded4 amb kded4 --check, s'actualitzarà sycoca de KDE usant kbuildsycoca4.

VEURE TAMBé

kdeoptions(7), qtoptions(7), kbuildsycoca4(8)

ERRORS

Probablement hi ha un munt d'errors. Useu bugs.kde.org[1] per a informar-ne.

AUTHORS

David Faure <faure@kde.org>
    Author.

Waldo Bastian <bastian@kde.org>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org